//CUITileOptionSpinBox - [2020-04-13 11:57:47]
#ifndef _CUITILEOPTIONSPINBOX_H_
#define _CUITILEOPTIONSPINBOX_H_

#include "CUITile.h"

/*

00141424 CUITileOptionSpinBox::CUITileOptionSpinBox(float,float,int,int *)
001419C8 CUITileOptionSpinBox::~CUITileOptionSpinBox()
00141480 CUITileOptionSpinBox::AddOption(wchar_t const*,int)
001414CC CUITileOptionSpinBox::Process()
001414D0 CUITileOptionSpinBox::Render()
001416C8 CUITileOptionSpinBox::ProcessInput(bool)

*/

class CUITileOptionSpinBox : public CUITile {
public:
  CUITileOptionSpinBox(float, float, int, int *);  //00141424
  virtual ~CUITileOptionSpinBox();                 //001419C8
  virtual EUITileAction Process();                 //001414CC
  virtual void Render();                           //001414D0
  virtual EUITileAction ProcessInput(bool);        //001416C8
  void AddOption(wchar_t const *, int);            //00141480
};

#endif  //_CUITILEOPTIONSPINBOX_H_